package com.loafle.overflow.module.meta.model;

import javax.persistence.*;
import java.util.Date;

/**
 * Created by snoop on 17. 8. 29.
 */
@Entity
@Table(name = "META_SENSOR_ITEM_KEY", schema = "public")
public class MetaSensorItemKey {
    private long id;
    private MetaSensorItem item;
    private String key;
    private MetaCrawler crawler;
    private Date createDate;

    @Id
    @GeneratedValue(strategy= GenerationType.IDENTITY)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @ManyToOne
    @JoinColumn(name = "ITEM_ID", nullable = false)
    public MetaSensorItem getItem() {
        return item;
    }

    public void setItem(MetaSensorItem item) {
        this.item = item;
    }

    @Column(name = "KEY", nullable = true, length = 100)
    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    @ManyToOne
    @JoinColumn(name = "CRAWLER_ID", nullable = false)
    public MetaCrawler getCrawler() {
        return crawler;
    }

    public void setCrawler(MetaCrawler crawler) {
        this.crawler = crawler;
    }

    @Temporal(TemporalType.TIMESTAMP)
    @Column(name="CREATE_DATE", nullable = false, columnDefinition = "TIMESTAMP DEFAULT CURRENT_TIMESTAMP", insertable = false, updatable = false)
    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }
}
